Protéger la communication entre le widget et le controleur
Description

Des crashes peuvent survenir lorsque I'on essaye de supprimer une variable dont le chargement est en cours (requétes non
traitées).

Il faut protéger la communication entre le widget et le contrdleur de variables. La protection peut concerner :

® |a suppression d'une variable
¢ |a duplication d'une variable

Pour reproduire le probleme :

e Charger deux variables dans deux graphes d'une méme zone (par exemple imf_gse et imf_gsm)

e Dézoomer un graphe de sorte a lancer une acquisition pour les deux variables

¢ Durant l'acquisition des données : -- supprimer une variable de l'inspecteur (la variable est retirée de I'affichage dans le graphe)
-- dans le graphe contenant I'ancienne variable, effectuer un pan

L'opération va provoquer l'erreur :
terminate called after throwing an instance of 'std::out_of_range'
what(): _Map_base::at

Related issues:
Copied from Task #2099: Protéger la communication entre le widget et le contr... Closed 11/09/2017

History

#1 - 06/12/2017 11:04 AM - Anonymous

- Copied from Task #2099: Protéger la communication entre le widget et le contréleur added

#2 - 07/12/2017 10:03 AM - Anonymous
- Status changed from In Progress to New

- Assignee deleted (Anonymous)

#3 - 21/12/2017 05:57 PM - Anonymous
- Status changed from New to Closed

- Assignee set to Anonymous
